<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="300dp"
    android:layout_height="205dp"
    android:background="@drawable/bg_shape_f8_radius_8">

    <com.gh.gamecenter.common.view.AvatarBorderView
        android:id="@+id/userIcon"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        app:avatar_width="32dp"
        app:badge_width="11dp"
        app:border_color="@color/resource_border"
        app:border_width="1dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/userNameContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="12dp"
        android:layout_marginRight="12dp"
        app:layout_constraintBottom_toTopOf="@+id/ratingStar"
        app:layout_constraintEnd_toStartOf="@+id/moreIv"
        app:layout_constraintStart_toEndOf="@+id/userIcon"
        app:layout_constraintTop_toTopOf="@+id/userIcon"
        app:layout_constraintVertical_chainStyle="packed">

        <TextView
            android:id="@+id/userNameTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:maxLength="12"
            android:maxLines="1"
            android:textColor="@color/text_primary"
            android:textSize="@dimen/secondary_size"
            android:textStyle="bold"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/sdv_user_badge"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="用户名" />

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/sdv_user_badge"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginStart="4dp"
            android:layout_marginLeft="4dp"
            android:layout_marginEnd="2dp"
            android:layout_marginRight="2dp"
            android:visibility="gone"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@+id/userNameTv"
            app:layout_constraintLeft_toRightOf="@+id/userNameTv"
            app:layout_constraintRight_toLeftOf="@+id/tv_badge_name"
            app:layout_constraintTop_toTopOf="@+id/userNameTv"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/tv_badge_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:textColor="@color/text_tertiary"
            android:textSize="@dimen/tag_text_size"
            android:visibility="gone"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/sdv_user_badge"
            app:layout_constraintLeft_toRightOf="@id/sdv_user_badge"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/sdv_user_badge"
            tools:text="答题先锋"
            tools:visibility="visible" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:id="@+id/moreIv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="11dp"
        android:layout_marginEnd="8dp"
        android:layout_marginRight="8dp"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/userIcon"
        app:srcCompat="@drawable/game_comment_more" />

    <com.gh.gamecenter.common.view.materialratingbar.MaterialRatingBar
        android:id="@+id/ratingStar"
        style="@style/Widget.MaterialRatingBar.RatingBar"
        android:layout_width="wrap_content"
        android:layout_height="10dp"
        android:layout_marginTop="6dp"
        android:isIndicator="true"
        android:minWidth="14dp"
        android:minHeight="14dp"
        android:numStars="5"
        app:layout_constraintBottom_toBottomOf="@+id/userIcon"
        app:layout_constraintStart_toEndOf="@+id/userIcon"
        app:layout_constraintTop_toBottomOf="@+id/userNameContainer"
        app:mrb_progressTint="@color/primary_theme" />

    <com.gh.gamecenter.common.view.ExpandTextView
        android:id="@+id/commentTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="4dp"
        android:layout_marginEnd="16dp"
        android:layout_marginRight="16dp"
        android:includeFontPadding="false"
        android:lineSpacingExtra="4dp"
        android:maxLines="5"
        android:textColor="@color/text_secondary"
        android:textSize="@dimen/body_text_size"
        app:endText="...   "
        app:expandText="全部"
        app:keepShrank="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/userIcon"
        app:useGradientAlphaEndText="true"
        tools:text="这片银河中有名为「星神」的存在，祂们造就现实，抹消星辰，在无数「世界」中留下祂们的痕迹。你——一名特殊的旅客，将与继承「开拓」意志的同伴一起，乘坐星穹列车穿越银河，沿着某位「星神」曾经所行之途前进。你将由此探索新的文明，结识新的伙伴，在无数光怪陆离的「世界」与「世界」之间展开新的冒险。所有你想知道的，都将在群星中找到答案。那么，准备好开始这段「开拓」之旅了吗？" />

    <TextView
        android:id="@+id/timeTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginLeft="16dp"
        android:layout_marginBottom="16dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/secondary_size"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/ipRegionTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/secondary_size"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/timeTv"
        app:layout_constraintStart_toEndOf="@+id/timeTv"
        app:layout_constraintTop_toTopOf="@+id/timeTv"
        tools:text=" · 广东"
        tools:visibility="visible" />

</androidx.constraintlayout.widget.ConstraintLayout>